cc.funkemunky.api.tinyprotocol.api

## Class NMSObject

- java.lang.Object
- - cc.funkemunky.api.tinyprotocol.api.NMSObject

Direct Known Subclasses:
  BaseBlockPosition, GeneralWrapper, Vec3D, WrappedChatMessage, WrappedGameProfile, WrappedIn13KeepAlive, WrappedInAbilitiesPacket, WrappedInArmAnimationPacket, WrappedInBlockDigPacket, WrappedInBlockPlacePacket, WrappedInChatPacket, WrappedInClientCommandPacket, WrappedInCloseWindowPacket, WrappedInEntityActionPacket, WrappedInFlyingPacket, WrappedInHeldItemSlotPacket, WrappedInKeepAlivePacket, WrappedInSteerVehiclePacket, WrappedInTabComplete, WrappedInTransactionPacket, WrappedInUseEntityPacket, WrappedInWindowClickPacket, WrappedOutAbilitiesPacket, WrappedOutBlockChange, WrappedOutEntityMetadata, WrappedOutHeldItemSlot, WrappedOutKeepAlivePacket, WrappedOutOpenWindow, WrappedOutPlayerInfo, WrappedOutPositionPacket, WrappedOutRelativePosition, WrappedOutRespawnPacket, WrappedOutTabComplete, WrappedOutTransaction, WrappedOutVelocityPacket, WrappedPlayerInfoData, WrappedWatchableObject

    public abstract class NMSObject
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `NMSObject.Client`
`static class` `NMSObject.Server`
`static class` `NMSObject.Type`

### Constructor Summary

Constructors
Constructor and Description
`NMSObject()`
`NMSObject(java.lang.Object object)`
`NMSObject(java.lang.Object object, org.bukkit.entity.Player player)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static java.lang.Object` `construct(java.lang.Object p, java.lang.String packet, java.lang.Object... args)`
`static java.lang.Object` `construct(java.lang.String packet, java.lang.Object... args)`
`static java.lang.Object` `construct(java.lang.String packet, java.lang.Object arg)`
`<T> T` `fetch(FieldAccessor<T> field)`
`<T> T` `fetch(FieldAccessor<T> field, java.lang.Object obj)`
`static <T> FieldAccessor<T>` `fetchField(java.lang.String className, java.lang.Class<T> fieldType, int index)`
`static <T> FieldAccessor<T>` `fetchField(java.lang.String className, java.lang.String fieldType, int index)`
`static <T> FieldAccessor<T>` `fetchFieldByName(java.lang.String className, java.lang.String name, java.lang.Class<T> fieldType)`
`java.lang.String` `getPacketName()`
`void` `process(org.bukkit.entity.Player player, ProtocolVersion version)`
`void` `setPacket(java.lang.String packet, java.lang.Object... args)`
`void` `setPacket(java.lang.String packet, java.lang.Object arg)`
`void` `setPacketArg(java.lang.String packet, java.lang.Object arg)`
`static org.bukkit.inventory.ItemStack` `toBukkitStack(java.lang.Object nmsStack)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NMSObject

    public NMSObject(java.lang.Object object)

#### NMSObject

    public NMSObject()

#### NMSObject

    public NMSObject(java.lang.Object object,
                     org.bukkit.entity.Player player)

### Method Detail

#### construct

    public static java.lang.Object construct(java.lang.String packet,
                                             java.lang.Object... args)

#### construct

    public static java.lang.Object construct(java.lang.String packet,
                                             java.lang.Object arg)

#### construct

    public static java.lang.Object construct(java.lang.Object p,
                                             java.lang.String packet,
                                             java.lang.Object... args)

#### toBukkitStack

    public static org.bukkit.inventory.ItemStack toBukkitStack(java.lang.Object nmsStack)

#### fetchField

    public static <T> FieldAccessor<T> fetchField(java.lang.String className,
                                                  java.lang.Class<T> fieldType,
                                                  int index)

#### fetchFieldByName

    public static <T> FieldAccessor<T> fetchFieldByName(java.lang.String className,
                                                        java.lang.String name,
                                                        java.lang.Class<T> fieldType)

#### fetchField

    public static <T> FieldAccessor<T> fetchField(java.lang.String className,
                                                  java.lang.String fieldType,
                                                  int index)

#### getPacketName

    public java.lang.String getPacketName()

#### process

    public void process(org.bukkit.entity.Player player,
                        ProtocolVersion version)

#### setPacket

    public void setPacket(java.lang.String packet,
                          java.lang.Object... args)

#### setPacketArg

    public void setPacketArg(java.lang.String packet,
                             java.lang.Object arg)

#### setPacket

    public void setPacket(java.lang.String packet,
                          java.lang.Object arg)

#### fetch

    public <T> T fetch(FieldAccessor<T> field)

#### fetch

    public <T> T fetch(FieldAccessor<T> field,
                       java.lang.Object obj)